Subject: Re: Service Change Failover method

From: Brian Rosen <[email-masked]>
Date: Thu, 16 Sep 1999 16:32:09 -0400

Control over the size of reply has been discussed, but so far we have
not decided to supply any controls.  Returning multiple replies with the
same transactionID won't work - they would be discarded as duplicates.  Even
if
we had the parsers look into the message to try to spot continuation, I
suspect 
it would be messy.  We would have to do something like have a settable
parameter which was the max message size, and have a transaction response
like ReplyPartial that told you that this message contains only part of the
reply.
You would also need a sequence number.  What if you got fragment 2
but not fragment 1?  See how it starts to get complicated?
 
I proposed to have controls on always sending statistics with subtract.
There were negative comments on that idea and it was dropped.  The
specific proposal was to have a property of root that controlled it.  We did
make the change that allows AuditDescriptor in subtract, so that if there
were
a way to turn off the statistics, there is a way to get them on demand.
 
I'll point out that you almost always want the statistics when you do the
subtract *.
 
brian

-----Original Message-----
From: Jennifer Liu [mailto:[email-masked]]
Sent: Thursday, September 16, 1999 3:56 PM
To: [email-masked]
Subject: Re: Service Change Failover method

Brian Rosen wrote: 

Well it looks like we have a conflict all right. 
Should we allow ALL in ContextID? 

Using All "*" wildcard in subtract command would be very useful if we want
to reset all terminations on MG,  for example, after MGC outage or other
system error conditions.   Indeed buffer overrun might be a problem if we
have a large number of active contexts on MG, so is it possible to send the
statistics in multiple reply message when they exceeds certain size
threshold??   or perhaps to have additional parameter in Subtract command to
allow the user turn statistics request off? 

Jennifer 

Please remember that there is not anything that limits 
the size of a transactionReply.  If you have 1000 contexts 
active and each has an average of 2 terminations, your reply will have 2000 
statistics descriptors if you 
were to execute Transaction=1234{ Context=*{ Subtract=*}}} 
If each statistics descriptor was 200 bytes, your 
reply would be 200 * 2000 or 400K in a single transaction reply.  Buffer 
overruns might be a problem. 

Brian 

> -----Original Message----- 
> From: Tim Vetter [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: Thursday, September 16, 1999 2:47 PM 
> To: [email-masked] 
> Subject: Re: Service Change Failover method 
> 
> 
> [snip] 
> 
> > Can I do the following? 
> > 
> > >From MGC to MG 
> > MEGACO ..... 
> > Transaction = 5000 { 
> >     Context = * { 
> >         Subtract = * 
> >     } 
> > } 
> > 
> > Could this be used to clear/remove all contexts in a MG? 
> > Section 6.1.1 Context Properties and Descriptors said that 
> contextID can 
> > be ALL "*". 
> > 
> [snip] 
> 
> The grammar and the text do not appear to match on this 
> issue.  I would 
> say the answer is yes, and the grammar needs to be updated. 
> 
> The ABNF currently has the production: 
>    ContextID = (UINT32 | "-" | "$") 
> 
> The 6.1.1 text says: 
>   "Context ID, a 32 bit integer chosen by the MG.  It may be specified 
>   as ALL "*" or NULL "-" in some circumstances.the topology (who 
>   hears/sees whom). 
>

-- 

**************************************************************************

*  Jennifer Liu                           Mail Stop: SDVS2               *

*  Email: [email-masked]           Alcatel USA, Inc.              *

*  Tel  : 972-477-9036                    1000 Coit Road                 *

*  Fax  : 972-477-9700                    Plano, TX  75075               *

*                                                                        *

*  ** The opinions expressed are not those of Alcatel USA, Inc. **       *

**************************************************************************

---

From: Jennifer Liu <[email-masked]>
Date: Thu, 16 Sep 1999 15:56:01 -0500

Brian,

Audit Descriptors are not listed under MEGACO 7.1 Descriptors' section.  From
which section can we find parameter specification for Audit Descriptors?   Also
when you talk about possibility to turn on/off statistics, which paramter will
be used?  Will it be incorporated into the standard?

Thanks,

Jennifer